package cokr.xit.fims.base;

import cokr.xit.base.user.GenericUser;

public class FimsUser extends GenericUser {
	private static final long serialVersionUID = 1L;

	@Override
	public String getType() {
		return "USR00";
	}

	@Override
	public String getAccount() {
		String account = super.getAccount();
		return account != null ? account.toUpperCase() : null;
	}

	@Override
	public void setAccount(String account) {
		if(account != null) {
			account = account.toUpperCase();
		}
		super.setAccount(account);
	}

	/**
	 * 직위 이름
	 */
	private String positionName;
	/**
	 * 인증 DN 값
	 */
	private String certificateDn;
	/**
	 * 접속구분코드
	 */
	private String cntnSeCd;
	/**
	 * 사용자구분코드
	 */
	private String userSeCd;
	/** 세외수입 사용자키 */
	private String ntrisKey;


	/**직위이름을 반환한다.
	 * @return 직위이름
	 */
	public String getPositionName() {
		return positionName;
	}

	/**직위이름을 설정한다.
	 * @param positionName 직위이름
	 */
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	/**인증 DN값을 반환한다.
	 * @return 인증 DN값
	 */
	public String getCertificateDn() {
		return certificateDn;
	}

	/**인증 DN값을 설정한다.
	 * @param certificateDn 인증 DN값
	 */
	public void setCertificateDn(String certificateDn) {
		this.certificateDn = certificateDn;
	}

	public String getCntnSeCd() {
		return cntnSeCd;
	}

	public void setCntnSeCd(String cntnSeCd) {
		this.cntnSeCd = cntnSeCd;
	}

	public String getUserSeCd() {
		return userSeCd;
	}

	public void setUserSeCd(String userSeCd) {
		this.userSeCd = userSeCd;
	}

	/**세외수입 사용자키를 반환한다.
	 * @return 세외수입 사용자키
	 */
	public String getNtrisKey() {
		return ntrisKey;
	}

	/**세외수입 사용자키를 설정한다.
	 * @param ntrisKey 세외수입 사용자키
	 */
	public void setNtrisKey(String ntrisKey) {
		this.ntrisKey = ntrisKey;
	}
}